Mailinglist Archive: opensuse-buildservice (250 mails)

< Previous Next >
Re: [opensuse-buildservice] confused buildrequires?
  • From: Wolfgang Rosenauer <wolfgang@xxxxxxxxxxxxx>
  • Date: Fri, 22 Aug 2008 17:07:26 +0200
  • Message-id: <48AED62E.6090400@xxxxxxxxxxxxx>
Michael Schroeder schrieb:
On Fri, Aug 22, 2008 at 04:31:26PM +0200, Wolfgang Rosenauer wrote:
Michael Schroeder schrieb:
On Fri, Aug 22, 2008 at 03:33:22PM +0200, Wolfgang Rosenauer wrote:
I've tried to fix it by:
%if %suse_version > 910
PreReq: shared-mime-info desktop-file-utils
%endif

But it still fails with the same error. Does the PreReq parser ignore
%if statements?
No.
ok, so I'm pretty sure you know what else is wrong and fix that?

No, it's just that I know that the parser obeys if statements.

Or if
it's my fault you are obviously telling me what I did wrong?

Seems like the packages currently succeed, so is this issue already
fixed?

hmm, no. This certain build still shows "expansion error":
https://build.opensuse.org/package/show?package=firefox2&project=mozilla

It could also be that OBS didn't reevaluate since I've changed it yesterday.

Wolfgang
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups